## pd-csound 1.01.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(Csound)
find_path(PD_HEADER_PATH m_pd.h)
find_library(PD_LIBRARY pd.dll)

if(PD_HEADER_PATH)
    if(APPLE)
        set(pdname "csound6~.pd_darwin")
    elseif(WIN32)
      set(pdname "csound6~.dll")
    else()
       set(pdname "csound6~.pd_linux")
    endif()
    add_library(pdcsound MODULE src/csoundapi_tilde.c)
    target_include_directories(pdcsound PRIVATE
    ${CSOUND_INCLUDE_DIRS} ${PD_HEADER_PATH})
    if(WIN32)
        target_link_libraries (pdcsound ${CSOUND_LIBRARY} ${PD_LIBRARY})
        set_target_properties(pdcsound  PROPERTIES "LINK_FLAGS"
            "-Wl,--allow-multiple-definition")
    else()
        target_link_libraries (pdcsound ${CSOUND_LIBRARY})
    endif()
    set_target_properties(pdcsound PROPERTIES  PREFIX "")
    set_target_properties(pdcsound PROPERTIES  SUFFIX "")
    set_target_properties(pdcsound PROPERTIES  OUTPUT_NAME ${pdname})
    if(APPLE)
        set_target_properties(pdcsound  PROPERTIES "LINK_FLAGS"
            "-flat_namespace -undefined suppress")
    endif(APPLE)
    install(TARGETS pdcsound
      LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
else()
   MESSAGE(FATAL_ERROR "PD header not found")
endif()

=== debian/changelog ===
pd-csound (2:1.01.0-1) unstable; urgency=medium

  * Initial release. (Closes: #915553)
  * Use epoch (2) in version number, since 'pd-csound' used to be part of the
    'csound' package, until csound_1:6.10.0~dfsg-2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Dec 2018 09:32:13 +0100

=== debian/control ===
Source: pd-csound
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 cmake,
 libcsound64-dev,
 puredata-dev | puredata (<< 0.43),
Standards-Version: 4.2.1
Homepage: https://csound.com
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-csound.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-csound

Package: pd-csound
Architecture: any
Depends: ${shlibs:Depends},
 puredata-core | pd,
 ${misc:Depends},
Recommnends:
 csound
Description: Csound external for Pure Data
 This is the csound6~ object for Pure Data (Pd).
 It allows you to run and interact with Csound scores/instruments from within
 Pd.
 .
 For more information on Csound or Pd, see the respective packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	chmod -x examples/*.*

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pd-csound-$1\.tar\.gz/ \
  https://github.com/csound/csound_pd/tags .*/v?(\d\S*)\.tar\.gz

## pd-csound 1.2

=== csound6_tilde/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# coerce CMake to use the cc command directly
if(APPLE)
 set(CMAKE_C_COMPILER "cc")
 set(CMAKE_CXX_COMPILER "c++")
endif()

project(csound6_tilde)

# coerce CMake not to set isysroot
set(CMAKE_OSX_SYSROOT "")
set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")


if(APPLE)
  set(pdext ".pd_darwin")
elseif(WIN32)
  set(pdext ".dll")
else()
  set(pdext ".pd_linux")
endif()

set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux_amd64_64.so)")
set (PD_FLOATSIZE 32 CACHE STRING "the floatsize of Pd (32 or 64)")

if(PD_FLOATSIZE STREQUAL 64)
  add_definitions(-DPD_FLOATSIZE=64)
  # TODO check if the extension matches ".*_*_64.*"
  if(NOT PD_EXTENSION MATCHES "^\.[^.]*_[^.]*_64\.[^.]*$")
    message(FATAL_ERROR " double-precision externals must have an extension like '.linux_amd64_64.so'")
  endif()
elseif(PD_FLOATSIZE STREQUAL 32)
else()
  message(FATAL "FLOATSIZE must be 32 or 64")
endif()

find_path(PD_HEADER_PATH m_pd.h HINTS ${CMAKE_SOURCE_DIR}/src)
find_library(PD_LIBRARY pd.dll)
find_package(CSOUND)

if(PD_HEADER_PATH)
    if(WIN32)
      set(pdname "csound6_tilde${PD_EXTENSION}")
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_WIN32 -D__x86_64__")
    else()
       set(pdname "csound6~${PD_EXTENSION}")
    endif()
    add_library(pdcsound MODULE src/csoundapi_tilde.c)
    target_include_directories(pdcsound PRIVATE
    ${CSOUND_INCLUDE_DIRS} ${PD_HEADER_PATH})
    if(WIN32)
        target_link_libraries (pdcsound ${CSOUND_LIBRARY} ${PD_LIBRARY})
        set_target_properties(pdcsound  PROPERTIES "LINK_FLAGS"  "-Wl,--allow-multiple-definition")
    else()
        target_link_libraries (pdcsound ${CSOUND_LIBRARY})
    endif()
    set_target_properties(pdcsound PROPERTIES  PREFIX "")
    set_target_properties(pdcsound PROPERTIES  SUFFIX "")
    set_target_properties(pdcsound PROPERTIES  OUTPUT_NAME ${pdname})
    if(APPLE)
        set_target_properties(pdcsound  PROPERTIES "LINK_FLAGS"
            "-flat_namespace -undefined suppress")
    endif(APPLE)
else()
   MESSAGE(FATAL_ERROR "Pd header not found")
endif()

=== csound7_tilde/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# coerce CMake to use the cc command directly
if(APPLE)
 set(CMAKE_C_COMPILER "cc")
 set(CMAKE_CXX_COMPILER "c++")
endif()

project(csound7_tilde)

# coerce CMake not to set isysroot
set(CMAKE_OSX_SYSROOT "")
set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")


if(APPLE)
  set(pdext ".pd_darwin")
elseif(WIN32)
  set(pdext ".dll")
else()
  set(pdext ".pd_linux")
endif()

set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux_amd64_64.so)")
set (PD_FLOATSIZE 32 CACHE STRING "the floatsize of Pd (32 or 64)")

if(PD_FLOATSIZE STREQUAL 64)
  add_definitions(-DPD_FLOATSIZE=64)
  # TODO check if the extension matches ".*_*_64.*"
  if(NOT PD_EXTENSION MATCHES "^\.[^.]*_[^.]*_64\.[^.]*$")
    message(FATAL_ERROR " double-precision externals must have an extension like '.linux_amd64_64.so'")
  endif()
elseif(PD_FLOATSIZE STREQUAL 32)
else()
  message(FATAL "FLOATSIZE must be 32 or 64")
endif()

find_path(PD_HEADER_PATH m_pd.h HINTS ${CMAKE_SOURCE_DIR}/src)
find_library(PD_LIBRARY pd.dll)
find_package(CSOUND)

if(PD_HEADER_PATH)
    if(WIN32)
      set(pdname "csound7_tilde${PD_EXTENSION}")
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_WIN32 -D__x86_64__")
    else()
       set(pdname "csound7~${PD_EXTENSION}")
    endif()
    add_library(pdcsound MODULE src/csoundapi_tilde.c)
    target_include_directories(pdcsound PRIVATE
    ${CSOUND_INCLUDE_DIRS} ${PD_HEADER_PATH})
    if(WIN32)
        target_link_libraries (pdcsound ${CSOUND_LIBRARY} ${PD_LIBRARY})
        set_target_properties(pdcsound  PROPERTIES "LINK_FLAGS"  "-Wl,--allow-multiple-definition")
    else()
        target_link_libraries (pdcsound ${CSOUND_LIBRARY})
    endif()
    set_target_properties(pdcsound PROPERTIES  PREFIX "")
    set_target_properties(pdcsound PROPERTIES  SUFFIX "")
    set_target_properties(pdcsound PROPERTIES  OUTPUT_NAME ${pdname})
    if(APPLE)
        set_target_properties(pdcsound  PROPERTIES "LINK_FLAGS"
            "-flat_namespace -undefined dynamic_lookup")
    endif(APPLE)
else()
   MESSAGE(FATAL_ERROR "Pd header not found")
endif()

=== debian/changelog ===
pd-csound (2:1.2-2) unstable; urgency=medium

  * Add autopkgtest

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 20:54:30 +0200

pd-csound (2:1.2-1) unstable; urgency=medium

  * New upstream version 1.2
    + Drop obsolete patches
    + Adapt to new upstream directory layout
  * Build pd64 flavour as well
    + Add patch to allow building pd64 externals
  * Add DEP-3 headers to patches
  * Switch to using dh-sequence-puredata
  * Update copyright information
    + Bump copyright dates
    + Remove duplicate text of LGPL-2.1+
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 14:32:31 +0200

pd-csound (2:1.01.0-7) unstable; urgency=medium

  * Add patch to fix FTBFS with Cmake-4 (Closes: #1113394)
  * Modernize FSF-address in LGPL-2.1+
  * Modernize d/watch to version 5
  * Apply 'wrap-and-sort -ast'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 00:21:43 +0200

pd-csound (2:1.01.0-6) unstable; urgency=medium

  * Patch to replace error() with pd_error() (Closes: #1066493)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 16:46:16 +0100

pd-csound (2:1.01.0-5) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:38:25 +0100

pd-csound (2:1.01.0-4) unstable; urgency=medium

  * Add 'licensecheck' target
    + Generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 23:25:57 +0100

pd-csound (2:1.01.0-3) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:16:41 +0200

pd-csound (2:1.01.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix permissions of pd_linux files
  * Update d/control
    * Fix typo in Recommends
    * Reorder stanzas as suggested by 'routine-update'
    * Drop obsolete versioned depends on puredata<<0.43
    * Declare that building this package does not require 'root' powers.
  * Refresh d/copyright
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump Standards-Version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Apr 2020 13:17:42 +0200

=== debian/control ===
Source: pd-csound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Section: sound
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
 cmake,
 libcsound64-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-csound
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-csound.git
Homepage: https://csound.com

Package: pd-csound
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 csound,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Csound external for Pure Data
 This is the csound6~ object for Pure Data (Pd).
 It allows you to run and interact with Csound scores/instruments from within
 Pd.
 .
 For more information on Csound or Pd, see the respective packages.

## pd-csound 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(csound_pd)

option(BUILD_FOR_CSOUND7 "build csound_pd for Csound7 (rather than Csound6)")

if(BUILD_FOR_CSOUND7)
add_subdirectory(csound7_tilde)
else()
add_subdirectory(csound6_tilde)
endif()

=== csound6_tilde/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(CMAKE_OSX_SYSROOT "")
 set(CMAKE_MACOSX_RPATH 1)
 set(CMAKE_VERBOSE_MAKEFILE ON)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
 
 
 if(APPLE)
@@ -23,14 +23,14 @@
   set(pdext ".pd_linux")
 endif()
 
-set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux_amd64_64.so)")
+set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux-amd64-64.so)")
 set (PD_FLOATSIZE 32 CACHE STRING "the floatsize of Pd (32 or 64)")
 
 if(PD_FLOATSIZE STREQUAL 64)
   add_definitions(-DPD_FLOATSIZE=64)
-  # TODO check if the extension matches ".*_*_64.*"
-  if(NOT PD_EXTENSION MATCHES "^\.[^.]*_[^.]*_64\.[^.]*$")
-    message(FATAL_ERROR " double-precision externals must have an extension like '.linux_amd64_64.so'")
+  # TODO check if the extension matches ".*-*-64.*"
+  if(NOT PD_EXTENSION MATCHES "^\.[^.]*-[^.]*-64\.[^.]*$")
+    message(FATAL_ERROR " double-precision externals must have an extension like '.linux-amd64-64.so'")
   endif()
 elseif(PD_FLOATSIZE STREQUAL 32)
 else()
@@ -39,7 +39,7 @@
 
 find_path(PD_HEADER_PATH m_pd.h HINTS ${CMAKE_SOURCE_DIR}/src)
 find_library(PD_LIBRARY pd.dll)
-find_package(CSOUND)
+find_package(Csound)
 
 if(PD_HEADER_PATH)
     if(WIN32)

=== csound7_tilde/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(CMAKE_OSX_SYSROOT "")
 set(CMAKE_MACOSX_RPATH 1)
 set(CMAKE_VERBOSE_MAKEFILE ON)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
 
 
 if(APPLE)
@@ -23,14 +23,14 @@
   set(pdext ".pd_linux")
 endif()
 
-set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux_amd64_64.so)")
+set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux-amd64-64.so)")
 set (PD_FLOATSIZE 32 CACHE STRING "the floatsize of Pd (32 or 64)")
 
 if(PD_FLOATSIZE STREQUAL 64)
   add_definitions(-DPD_FLOATSIZE=64)
-  # TODO check if the extension matches ".*_*_64.*"
-  if(NOT PD_EXTENSION MATCHES "^\.[^.]*_[^.]*_64\.[^.]*$")
-    message(FATAL_ERROR " double-precision externals must have an extension like '.linux_amd64_64.so'")
+  # TODO check if the extension matches ".*-*-64.*"
+  if(NOT PD_EXTENSION MATCHES "^\.[^.]*-[^.]*-64\.[^.]*$")
+    message(FATAL_ERROR " double-precision externals must have an extension like '.linux-amd64-64.so'")
   endif()
 elseif(PD_FLOATSIZE STREQUAL 32)
 else()
@@ -39,7 +39,7 @@
 
 find_path(PD_HEADER_PATH m_pd.h HINTS ${CMAKE_SOURCE_DIR}/src)
 find_library(PD_LIBRARY pd.dll)
-find_package(CSOUND)
+find_package(Csound)
 
 if(PD_HEADER_PATH)
     if(WIN32)

=== debian/changelog ===
pd-csound (2:1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
    + Drop patches applied upstream
  * Drop obsolete Rules-Requires-Root stanza.
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 19 Oct 2025 21:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  cmake,
  libcsound64-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-csound
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-csound.git
 Homepage: https://csound.com

=== debian/rules ===
#!/usr/bin/make -f

pd64ext:=$(shell /usr/share/puredata/debian/dekencpu $(DEB_HOST_ARCH))

builddir=debian/build/
FLAVORS = pd32
ifneq ($(pd64ext), )
	FLAVORS += pd64
endif

CONFIG = 
CONFIG_pd32 =
CONFIG_pd64 = -DPD_FLOATSIZE=64 -DPD_EXTENSION=.linux-$(pd64ext)-64.so

%:
	dh $@

# Add configuration options:
override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
configure_%:
	dh_auto_configure --builddir=$(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*))

override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS))
build_%:
	dh_auto_build -a --builddir=$(builddir)$*

override_dh_auto_install:
	chmod -x */examples/*.*
	find * -name "*.pd_linux" -exec chmod  -v -x {} + || true
	find * -name "*.so"       -exec chmod  -v -x {} + || true

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Test-Command: find debian/tests -name "test_*.pd" -exec debian/tests/runtests.sh {} "+"
Depends:
 @,
Restrictions:
 allow-stderr,

Test-Command: PD=pd64 find debian/tests -name "test_*.pd" -exec debian/tests/runtests.sh {} "+"
Depends:
 puredata64-core,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

# process this file with uscan(1)
Template: Github
Owner: csound
Project: csound_pd
Dversionmangle: auto
